# Asset Latest Snapshot

GET /easm/assets/{asset_id}/latest-snapshot: Returns the latest pre-computed summary of an asset (security score and statistics) in snapshot.

Source: https://docs.deepinfo.com/reference/easm/asset-latest-snapshot/

Last updated: 2026-09-27

---
`GET https://api.deepinfo.com/v1/easm/assets/{asset_id}/latest-snapshot`

Returns the latest pre-computed summary of an asset (security score and statistics) in `snapshot`.

## Authentication

Send your API key in the `apikey` request header.

## Path Parameters

| Parameter | Required | Description | Example |
|---|---|---|---|
| `asset_id` | Required |  | `000000000000000ea4f90001` |

## Query Parameters

| Parameter | Required | Description | Example |
|---|---|---|---|
| `stats` | Optional |  |  |

## Response Fields

| Field | Type | Description |
|---|---|---|
| `id` | string |  |
| `snapshot` | object |  |
| `date` | string | date-time |

## Response Schema

_Inferred from examples._ Built from the saved 2xx example response: the fields it contains, with the types seen there. It is not a contract.

| Field | Type |
|---|---|
| `id` | string |
| `snapshot` | object |
| `snapshot.subdomain_count` | number |
| `snapshot.pointed_fqdn_count` | null |
| `snapshot.redirected_domain_count` | number |
| `snapshot.redirected_asset_count` | number |
| `snapshot.website_count` | number |
| `snapshot.total_issue_count` | number |
| `snapshot.active_issue_count` | number |
| `snapshot.issue_severity_stats` | array<object> |
| `snapshot.issue_severity_stats[].name` | string |
| `snapshot.issue_severity_stats[].count` | number |
| `snapshot.issue_category_stats` | array<object> |
| `snapshot.issue_category_stats[].name` | string |
| `snapshot.issue_category_stats[].count` | number |
| `snapshot.issue_category_stats[].severity_stats` | array<object> |
| `snapshot.issue_category_stats[].severity_stats[].name` | string |
| `snapshot.issue_category_stats[].severity_stats[].count` | number |
| `snapshot.issue_state_stats` | array<object> |
| `snapshot.issue_state_stats[].name` | string |
| `snapshot.issue_state_stats[].count` | number |
| `snapshot.average_issue_duration` | number |
| `snapshot.average_fix_duration` | number |
| `snapshot.technology_count` | number |
| `snapshot.technology_category_stats` | null |
| `snapshot.open_port_count` | number |
| `snapshot.vulnerability_count` | number |
| `snapshot.vulnerability_severity_stats` | array<object> |
| `snapshot.vulnerability_severity_stats[].name` | string |
| `snapshot.vulnerability_severity_stats[].count` | number |
| `snapshot.security_score` | number |
| `date` | string |

## Examples

### 200 · OK

```bash
curl 'https://api.deepinfo.com/v1/easm/assets/000000000000000ea4f90001/latest-snapshot' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "id": "00000000000000000000000e3b4b0001",
  "snapshot": {
    "subdomain_count": 18,
    "pointed_fqdn_count": null,
    "redirected_domain_count": 27,
    "redirected_asset_count": 16,
    "website_count": 25,
    "total_issue_count": 5,
    "active_issue_count": 13,
    "issue_severity_stats": [
      {
        "name": "Critical",
        "count": 26
      },
      {
        "name": "High",
        "count": 27
      }
    ],
    "issue_category_stats": [
      {
        "name": "SSL/TLS",
        "count": 4,
        "severity_stats": [
          {
            "name": "Critical",
            "count": 35
          },
          {
            "name": "High",
            "count": 36
          }
        ]
      }
    ],
    "issue_state_stats": [
      {
        "name": "newly_detected",
        "count": 24
      },
      {
        "name": "reappeared",
        "count": 25
      }
    ],
    "average_issue_duration": 86400,
    "average_fix_duration": 86400,
    "technology_count": 21,
    "technology_category_stats": null,
    "open_port_count": 27,
    "vulnerability_count": 16,
    "vulnerability_severity_stats": [
      {
        "name": "critical",
        "count": 3
      },
      {
        "name": "high",
        "count": 4
      }
    ],
    "security_score": 850.5
  },
  "date": "2025-07-16T08:00:00Z"
}
```

### 404 · Not Found (nonexistent asset_id)

```bash
curl 'https://api.deepinfo.com/v1/easm/assets/ffffffffffffffffffffffff/latest-snapshot' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "code": 30003,
  "details": [
    "Asset not exists."
  ],
  "solution": "https://docs.deepinfo.com/reference/"
}
```
